[cpp-sp] 05/12: Disable the shib module name on upgrade
Scott Cantor
cantor.2 at osu.edu
Thu Dec 20 19:41:12 EST 2018
This is an automated email from the git hooks/post-receive script.
scantor pushed a commit to annotated tag debian/2.0.dfsg1-4
in repository cpp-sp.
View the commit online:
http://git.shibboleth.net/view/?p=cpp-sp.git;a=commit;h=36ed73795b498c77807dcff0706805ac435c615b
commit 36ed73795b498c77807dcff0706805ac435c615b
Author: Russ Allbery <rra at debian.org>
AuthorDate: Tue Oct 14 20:48:32 2008 -0700
Disable the shib module name on upgrade
* Add a postinst to disable the old configuration on upgrade and enable
the module if it had been enabled under the old configuration name.
---
debian/changelog | 5 +++++
debian/libapache2-mod-shib2.postinst | 19 +++++++++++++++++++
2 files changed, 24 insertions(+)
diff --git a/debian/changelog b/debian/changelog
index efa8198..aa617e1 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,11 +1,16 @@
shibboleth-sp2 (2.0.dfsg1-4) UNRELEASED; urgency=low
+ [ Ferenc Wagner ]
* Rename debian/shib.load to debian/shib2.load to avoid clashing with the
libapache2-mod-shib package. Otherwise its Apache config file breaks our
module.
* Add directory /var/log/shibboleth to libapache2-mod-shib2 (thanks to Peter
Schober for noticing).
+ [ Russ Allbery ]
+ * Add a postinst to disable the old configuration on upgrade and enable
+ the module if it had been enabled under the old configuration name.
+
-- Ferenc Wagner <wferi at niif.hu> Tue, 14 Oct 2008 17:45:22 +0200
shibboleth-sp2 (2.0.dfsg1-3) unstable; urgency=low
diff --git a/debian/libapache2-mod-shib2.postinst b/debian/libapache2-mod-shib2.postinst
new file mode 100755
index 0000000..b217189
--- /dev/null
+++ b/debian/libapache2-mod-shib2.postinst
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+# Prior to 2.0.dfsg1-4, we named our Apache configuration files shib instead
+# of shib2. We therefore need to unlink the old configuration files, and if
+# they were linked in, we should link in the new ones.
+if [ "$1" = "configure" ] ; then
+ if dpkg --compare-versions "$2" lt-nl 2.0.dfsg1-4 ; then
+ if [ -f /etc/apache2/mods-enabled/shib.load ] ; then
+ a2enmod shib2
+ fi
+ a2dismod shib || true
+ fi
+fi
+
+#DEBHELPER#
+
+exit 0
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
More information about the commits
mailing list